[android-components](../../index.md) / [mozilla.components.lib.crash.service](../index.md) / [SendCrashReportService](./index.md)

# SendCrashReportService

`class SendCrashReportService` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/crash/src/main/java/mozilla/components/lib/crash/service/SendCrashReportService.kt#L29)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `SendCrashReportService()` |

### Functions

| Name | Summary |
|---|---|
| [onBind](on-bind.md) | `fun onBind(intent: <ERROR CLASS>): <ERROR CLASS>?` |
| [onStartCommand](on-start-command.md) | `fun onStartCommand(intent: <ERROR CLASS>, flags: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, startId: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |

### Companion Object Functions

| Name | Summary |
|---|---|
| [createReportIntent](create-report-intent.md) | `fun createReportIntent(context: <ERROR CLASS>, crash: `[`Crash`](../../mozilla.components.lib.crash/-crash/index.md)`): <ERROR CLASS>` |
